> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scan

> Retrieves details of a specific scan



## OpenAPI

````yaml /api-reference/openapi.json get /scan/{scan_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /scan/{scan_id}:
    get:
      tags:
        - Scans
      summary: Get Scan
      description: Retrieves details of a specific scan
      operationId: getScan
      parameters:
        - name: scan_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The ID of the scan
      responses:
        '200':
          description: Scan details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  id:
                    type: string
                    format: uuid
                  project:
                    type: string
                  repo:
                    type: string
                  branch:
                    type: string
                  scan_status:
                    type: string
                    enum:
                      - completed
                      - in_progress
                      - failed
                  engine:
                    type: string
                  created_at:
                    type: string
                    format: date-time
        '403':
          description: Permission denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Permission denied
        '404':
          description: Scan not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Scan doesn't exist
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````